Package org.eclipse.mat.internal.snapshot

# Class HeapObjectArgumentFactory

java.lang.Object
org.eclipse.mat.internal.snapshot.HeapObjectArgumentFactory

All Implemented Interfaces:
  `ArgumentFactory`

Direct Known Subclasses:
  `HeapObjectContextArgument`, `HeapObjectParamArgument`

public abstract class HeapObjectArgumentFactory extends Object implements ArgumentFactory

## Method Summary

Modifier and Type
Method
Description
`Object`
`build(ArgumentDescriptor argument)`
`static final ArgumentFactory`
`build(ISnapshot snapshot, int[] objectIds)`
`static final ArgumentFactory`
`build(ISnapshot snapshot, IHeapObjectArgument argument)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.mat.query.registry.ArgumentFactory

`appendUsage`

## Method Details

### build

public static final ArgumentFactory build(ISnapshot snapshot, int[] objectIds)

### build

public static final ArgumentFactory build(ISnapshot snapshot, IHeapObjectArgument argument)

### build

public Object build(ArgumentDescriptor argument) throws SnapshotException

Specified by:
  `build` in interface `ArgumentFactory`
Throws:
  `SnapshotException`